Bug 1127447 - Hitting Cancel button on New Org > Manually Assign page goes to 404 page
Summary: Hitting Cancel button on New Org > Manually Assign page goes to 404 page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Ohad Levy
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 21:07 UTC by Corey Welton
Modified: 2017-02-23 21:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:13:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 6974 None None None 2016-04-22 15:05:33 UTC

Description Corey Welton 2014-08-06 21:07:14 UTC
Description of problem:
While creating an org, hitting the Cancel button on the "Manually Assign" page of the wizard gives user a page not found error.

Version-Release number of selected component (if applicable):

Satellite-6.0.4-RHEL-6-20140730.0

How reproducible:


Steps to Reproduce:
1.  Begin creation of new org, "foobar"
2.  On step 2 of the wizard, click the "Manually Assign" button
3.  On the resulting page, click "Cancel"

Actual results:
User should be taken back to page one, or the orgs list page, or something

Expected results:
User gets dead-ended at 404 page

Additional info:
Not a serious issue but bad user experience.

Comment 2 Dominic Cleal 2014-08-07 07:19:58 UTC
Created redmine issue http://projects.theforeman.org/issues/6974 from this bug

Comment 3 Bryan Kearney 2014-11-11 21:03:11 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6974 has been closed
-------------
b sh
Foreman-bot hasn't updated this ticket, but there is a pull request: https://github.com/theforeman/foreman/pull/1915 + the status should be "ready for testing"/"being review".
-------------
B Sh
Applied in changeset commit:1f63475205f367a5ec01ebd8256ec4c546e6acfa.

Comment 4 jcallaha 2014-11-14 15:05:55 UTC
*** This bug is verified in upstream. This fix should eventually land in future downstream builds ***
RHEL65 / RHEL7

Version Tested:
foreman-proxy-1.8.0-0.develop.201411121327gitab6edc2.el7.noarch
yttrium.idmqe.lab.eng.bos.redhat.com-foreman-proxy-1.0-1.noarch
foreman-gce-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
foreman-selinux-1.8.0-0.develop.201410280941git10de1c5.el7.noarch
foreman-vmware-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
foreman-release-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
ruby193-rubygem-foreman_discovery-1.4.0-2.el7.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410git163c264.git.0.988ca80.el7.noarch
foreman-postgresql-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
ruby193-rubygem-foreman_docker-0.2.0-2.el7.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201411121216git9381fc5.el7.noarch
foreman-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
foreman-ovirt-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
ruby193-rubygem-foreman-tasks-0.6.9-1.el7.noarch
foreman-libvirt-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
foreman-compute-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
ruby193-rubygem-foreman_bootdisk-4.0.0-1.el7.noarch
yttrium.idmqe.lab.eng.bos.redhat.com-foreman-client-1.0-1.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el7.noarch

Comment 5 Bryan Kearney 2015-08-11 13:22:30 UTC
This bug is slated to be released with Satellite 6.1.

Comment 6 errata-xmlrpc 2015-08-12 05:13:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.